<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
GetUpdateVars Method (IEdmEnumeratorVariable5)
See Also Example

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmEnumeratorVariable5 Interface : GetUpdateVars Method (IEdmEnumeratorVariable5)

Visual Basic
C#
C++/CLI

lFolderID
  ID of the file's parent folder

ppoRetVariables
  Array of IEdmVariableValue5; one interface for each variable value

Gets values for the variables that can be updated in this file.

# Syntax

Visual Basic |
--- | ---

    Sub GetUpdateVars( _
       ByVal lFolderID As System.Integer, _
       ByRef ppoRetVariables() As System.Object _
    )

C# |
--- | ---

    void GetUpdateVars(
       System.int lFolderID,
       out System.object[] ppoRetVariables
    )

C++/CLI |
--- | ---

    void GetUpdateVars(
    &   System.int lFolderID,
    &   [Out] System.array<Object^>^ ppoRetVariables
    )

#### Parameters

lFolderID
  ID of the file's parent folder
ppoRetVariables
  Array of IEdmVariableValue5; one interface for each variable value

# Example

Access File Card Variables (VB.NET)
Access File Card Variables (C#)

# Remarks

C++ users must call SafeArrayDestroy to free the returned array elements.

Return codes:

- S_OK: The method successfully executed.
- E_EDM_FILE_NOT_LOCKED_BY_YOU: The file is not checked out.

# See Also

####

IEdmEnumeratorVariable5 Interface
IEdmEnumeratorVariable5 Members
IEdmEnumeratorVariable5::StoreValuesFromDatabase Method ()

# Availability

SOLIDWORKS PDM Professional Version 5.2